{
  "name": "@hereconnect/monorepo",
  "version": "1.0.0",
  "private": true,
  "license": "@hereconnect/license",
  "engines": {
    "node": ">=v20.10.0",
    "pnpm": ">=8.15.9"
  },
  "workspaces": {
    "packages": [
      "apps/*",
      "packages/*",
      "services/*"
    ]
  },
  "scripts": {
    "start": "pnpm run --filter ./apps/frontend dev",
    "build": "npm run build:deploy:services:db-migrations && npm run build:deploy:services:message-delivery-method-web-push && npm run build:deploy:services:tg-bot",
    "build:deploy:services:db-migrations": "pnpm --filter ./services/db-migrations deploy --prod build/service-db-migrations",
    "build:deploy:services:message-delivery-method-web-push": "npm -w ./services/message-delivery-method-web-push run build && pnpm --filter ./services/message-delivery-method-web-push deploy --prod build/service-message-delivery-method-web-push",
    "build:deploy:services:tg-bot": "pnpm --filter ./services/tg-bot deploy --prod build/service-tg-bot",
    "test": "npm run test --workspaces",
    "lint": "npm run lint --workspaces"
  },
  "packageManager": "pnpm@9.15.0"
}
